Bug 175910 - [PATCH] graphics/libexif: update to 0.6.21
[PATCH] graphics/libexif: update to 0.6.21
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pclin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 02:20 UTC by linpc
Modified: 2013-03-14 08:21 UTC (History)
1 user (show)

See Also:


Attachments
libexif-0.6.21.patch (4.05 KB, patch)
2013-02-07 02:20 UTC, linpc
no flags Details | Diff
vuxml-1.1_1.patch (1.54 KB, patch)
2013-02-07 02:28 UTC, linpc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpc 2013-02-07 02:20:00 UTC
- Update to 0.6.21
- Add LICENSE
- Switch to OptionsNG and PORTDOCS
- ports depend on it should be bumped PORTREVISION when commit due to several
  vulnerability issues.
  (CVE-2012-2812, CVE-2012-2813, CVE-2012-2814, CVE-2012-2836, CVE-2012-2837,
   CVE-2012-2840, CVE-2012-2841, CVE-2012-2845)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-07 02:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-02-07 02:20:23 UTC
Maintainer of graphics/libexif,

Please note that PR ports/175910 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175910

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-02-07 02:20:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 linpc 2013-02-07 02:28:17 UTC
Attach the vuxml patch for this PR.
Comment 5 Steve Wills freebsd_committer 2013-02-17 18:37:13 UTC
Responsible Changed
From-To: swills->pclin

Submitter is committer now
Comment 6 dfilter freebsd_committer 2013-03-14 08:18:02 UTC
Author: pclin
Date: Thu Mar 14 08:17:39 2013
New Revision: 314141
URL: http://svnweb.freebsd.org/changeset/ports/314141

Log:
  - graphics/libexif:
    * Update to 0.6.21
    * Add LICENSE
    * Switch to OptionsNG and PORTDOCS
  - Document libexif 2012-07-12 vulnerabilty
  - Bump PORTREVISION for libexif related ports
  - Trim headers while here
  
  PR:		ports/175910
  Approved by:	swills (mentor)
  Security:	d881d254-70c6-11e2-862d-080027a5ec9a

Modified:
  head/astro/foxtrotgps/Makefile
  head/astro/viking/Makefile
  head/deskutils/cairo-dock-plugins/Makefile
  head/deskutils/cdcat/Makefile   (contents, props changed)
  head/graphics/eog-plugins/Makefile   (contents, props changed)
  head/graphics/eog/Makefile   (contents, props changed)
  head/graphics/ethumb/Makefile   (contents, props changed)
  head/graphics/exif/Makefile   (contents, props changed)
  head/graphics/exiftran/Makefile   (contents, props changed)
  head/graphics/f-spot/Makefile   (contents, props changed)
  head/graphics/gimageview/Makefile   (contents, props changed)
  head/graphics/gimp-app/Makefile
  head/graphics/gtkam/Makefile   (contents, props changed)
  head/graphics/ida/Makefile   (contents, props changed)
  head/graphics/libexif-gtk/Makefile   (contents, props changed)
  head/graphics/libexif/Makefile   (contents, props changed)
  head/graphics/libexif/distinfo   (contents, props changed)
  head/graphics/libexif/pkg-plist   (contents, props changed)
  head/graphics/libgphoto2/Makefile   (contents, props changed)
  head/graphics/libkexif/Makefile   (contents, props changed)
  head/graphics/pornview/Makefile   (contents, props changed)
  head/graphics/ristretto/Makefile   (contents, props changed)
  head/graphics/shotwell/Makefile
  head/graphics/vips/Makefile
  head/multimedia/dvdstyler/Makefile   (contents, props changed)
  head/multimedia/mlt/Makefile
  head/net/mediatomb/Makefile   (contents, props changed)
  head/net/minidlna/Makefile   (contents, props changed)
  head/security/vuxml/vuln.xml
  head/sysutils/tracker-client/Makefile   (contents, props changed)
  head/www/swiggle/Makefile   (contents, props changed)
  head/x11-fm/gnome-commander2/Makefile   (contents, props changed)
  head/x11-fm/nautilus/Makefile   (contents, props changed)
  head/x11-fm/thunar/Makefile
  head/x11-toolkits/nucleo/Makefile   (contents, props changed)

Modified: head/astro/foxtrotgps/Makefile
==============================================================================
--- head/astro/foxtrotgps/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/astro/foxtrotgps/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	foxtrotgps
-# Date created:				15 January 2011
-# Whom:						crwhipp@gmail.com
-#
+# Created by: crwhipp@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	foxtrotgps
 PORTVERSION=	1.1.1
+PORTREVISION=	1
 CATEGORIES=	astro geography
 MASTER_SITES=	http://www.foxtrotgps.org/releases/
 

Modified: head/astro/viking/Makefile
==============================================================================
--- head/astro/viking/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/astro/viking/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,6 +3,7 @@
 
 PORTNAME=	viking
 PORTVERSION=	1.4
+PORTREVISION=	1
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
 

Modified: head/deskutils/cairo-dock-plugins/Makefile
==============================================================================
--- head/deskutils/cairo-dock-plugins/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/deskutils/cairo-dock-plugins/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cairo-dock-plugins
 DISTVERSION=	2.3.0~3
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	deskutils
 MASTER_SITES=	http://launchpadlibrarian.net/73753265/ \
 		http://pazzle.otdux.com.ua/

Modified: head/deskutils/cdcat/Makefile
==============================================================================
--- head/deskutils/cdcat/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/deskutils/cdcat/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cdcat
 PORTVERSION=	2.1
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		GOOGLE_CODE:lib7zip

Modified: head/graphics/eog-plugins/Makefile
==============================================================================
--- head/graphics/eog-plugins/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/eog-plugins/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:	eog-plugins
-# Date created:		28 August 2009
-# Whom:			Joe Marcus Clarke <marcus@FreeBSD.org>
-#
+# Created by: Joe Marcus Clarke <marcus@FreeBSD.org>
 # $FreeBSD$
 #   $MCom: ports/graphics/eog-plugins/Makefile,v 1.14 2010/09/04 18:09:30 kwm Exp $
-#
 
 PORTNAME=	eog-plugins
 PORTVERSION=	2.30.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2

Modified: head/graphics/eog/Makefile
==============================================================================
--- head/graphics/eog/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/eog/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:	eog2
-# Date created:		21 May 2002
-# Whom:			Joe Marcus Clarke <marcus@FreeBSD.org>
-#
+# Created by: Joe Marcus Clarke <marcus@FreeBSD.org>
 # $FreeBSD$
 #   $MCom: ports/graphics/eog/Makefile,v 1.123 2010/11/16 10:11:41 kwm Exp $
-#
 
 PORTNAME=	eog
 PORTVERSION=	2.32.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2

Modified: head/graphics/ethumb/Makefile
==============================================================================
--- head/graphics/ethumb/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/ethumb/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ethumb
 PORTVERSION=	1.7.5
+PORTREVISION=	1
 CATEGORIES=	graphics enlightenment
 MASTER_SITES=	http://download.enlightenment.fr/releases/ \
 		LOCAL/gblach/e17/

Modified: head/graphics/exif/Makefile
==============================================================================
--- head/graphics/exif/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/exif/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	exif
-# Date created:				May 02 2005
-# Whom:					Pav Lucistnik <pav@FreeBSD.org>
-#
+# Created by: Pav Lucistnik <pav@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	exif
 PORTVERSION=	0.6.20
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF/lib${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
@@ -17,6 +14,7 @@ LIB_DEPENDS=	exif.12:${PORTSDIR}/graphic
 		popt.0:${PORTSDIR}/devel/popt
 
 USE_GMAKE=	yes
+USE_PKGCONFIG=	yes
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 CONFIGURE_ENV+=		POPT_CFLAGS=-I${LOCALBASE}/include POPT_LIBS="-L${LOCALBASE}/lib -lpopt"

Modified: head/graphics/exiftran/Makefile
==============================================================================
--- head/graphics/exiftran/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/exiftran/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,10 @@
-# New ports collection makefile for:	exiftran
-# Date created:				June 03 2011
-# Whom:					Martin Matuska <mm@FreeBSD.org>
-#
+# Created by: Martin Matuska <mm@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	exiftran
 DISTNAME=	fbida-${DISTVERSIONPREFIX}${DISTVERSION}${DISTVERSIONSUFFIX}
 PORTVERSION=	2.09
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.kraxel.org/releases/fbida/
 

Modified: head/graphics/f-spot/Makefile
==============================================================================
--- head/graphics/f-spot/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/f-spot/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:		f-spot
-# Date created:					20041008
-# Whom:				Tom McLaughlin <tmclaugh@sdf.lonestar.org>
-#
+# Created by: Tom McLaughlin <tmclaugh@sdf.lonestar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	f-spot
 PORTVERSION=	0.8.2
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	graphics gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}

Modified: head/graphics/gimageview/Makefile
==============================================================================
--- head/graphics/gimageview/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/gimageview/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gimageview
 PORTVERSION=	0.2.27
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	graphics
 MASTER_SITES=	SF/gtkmmviewer/${PORTNAME}/${PORTVERSION}
 

Modified: head/graphics/gimp-app/Makefile
==============================================================================
--- head/graphics/gimp-app/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/gimp-app/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -4,7 +4,7 @@
 
 PORTNAME=	gimp-app
 PORTVERSION=	2.8.4
-PORTREVISION?=	0
+PORTREVISION?=	1
 PORTEPOCH?=	1
 CATEGORIES?=	graphics gnome
 MASTER_SITES=	ftp://ftp.gimp.org/pub/%SUBDIR%/ \

Modified: head/graphics/gtkam/Makefile
==============================================================================
--- head/graphics/gtkam/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/gtkam/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	gtkam
-# Date created:			10 June 2002
-# Whom:				ports@FreeBSD.org
-#
+# Created by: ports@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	gtkam
 PORTVERSION=	0.1.18
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 MASTER_SITES=	SF/gphoto/${PORTNAME}/${PORTVERSION}
 

Modified: head/graphics/ida/Makefile
==============================================================================
--- head/graphics/ida/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/ida/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ida
 PORTVERSION=	2.09
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.kraxel.org/releases/fbida/
 DISTNAME=	fbida-${PORTVERSION}

Modified: head/graphics/libexif-gtk/Makefile
==============================================================================
--- head/graphics/libexif-gtk/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libexif-gtk/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	libexif-gtk
-# Date created:		10 Jun 2002
-# Whom:			ports@FreeBSD.org
-#
+# Created by: ports@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	libexif-gtk
 PORTVERSION=	0.3.5
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	graphics
 MASTER_SITES=	SF/libexif/${PORTNAME}/${PORTVERSION}
 

Modified: head/graphics/libexif/Makefile
==============================================================================
--- head/graphics/libexif/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libexif/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,28 +1,31 @@
-# New ports collection makefile for:    libexif
-# Date created:        Tue Feb 26 19:02:44 MST 2002
-# Whom:                Peter Schmiedeskamp
-#
+# Created by: Peter Schmiedeskamp <pschmied@qwest.net>
 # $FreeBSD$
-#
 
 PORTNAME=	libexif
-PORTVERSION=	0.6.20
+PORTVERSION=	0.6.21
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
 MAINTAINER=	marius@nuenneri.ch
 COMMENT=	Library to read digital camera file meta-data
 
+LICENSE=	LGPL21
+
 USE_BZIP2=	yes
-USE_GNOME=	gnomehack ltverhack pkgconfig
+USE_GNOME=	gnomehack ltverhack
 USE_GMAKE=	yes
+USE_PKGCONFIG=	yes
 USE_AUTOTOOLS=	libtool
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ARGS=	--disable-docs
 USE_LDCONFIG=	yes
 
-.if !defined(WITHOUT_NLS)
+PORTDOCS=	AUTHORS ChangeLog NEWS README
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .else
@@ -32,15 +35,14 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|-g -Wall||g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e '/^SUBDIRS =/s|doc||g ; \
 		 /^am__installdirs =/s|$$(docdir)||g ; \
 		 /^install-data-am:/s|install-docDATA||g' ${WRKSRC}/Makefile.in
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-.for file in AUTHORS ChangeLog NEWS README
+.for file in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
 .endfor
 .endif

Modified: head/graphics/libexif/distinfo
==============================================================================
--- head/graphics/libexif/distinfo	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libexif/distinfo	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,2 +1,2 @@
-SHA256 (libexif-0.6.20.tar.bz2) = a772d20bd8fb9802d7f0d70fde6ac8872f87d0c66c52b0d14026dafcaa83d715
-SIZE (libexif-0.6.20.tar.bz2) = 1412921
+SHA256 (libexif-0.6.21.tar.bz2) = 16cdaeb62eb3e6dfab2435f7d7bccd2f37438d21c5218ec4e58efa9157d4d41a
+SIZE (libexif-0.6.21.tar.bz2) = 1368435

Modified: head/graphics/libexif/pkg-plist
==============================================================================
--- head/graphics/libexif/pkg-plist	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libexif/pkg-plist	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,8 +1,8 @@
 include/libexif/_stdint.h
 include/libexif/exif-byte-order.h
 include/libexif/exif-content.h
-include/libexif/exif-data.h
 include/libexif/exif-data-type.h
+include/libexif/exif-data.h
 include/libexif/exif-entry.h
 include/libexif/exif-format.h
 include/libexif/exif-ifd.h
@@ -17,15 +17,12 @@ lib/libexif.la
 lib/libexif.so
 lib/libexif.so.12
 libdata/pkgconfig/libexif.pc
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/README
 %%NLS%%share/locale/be/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/bs/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/da/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/de/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/en_AU/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/en_CA/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/es/LC_MESSAGES/libexif-12.mo
@@ -34,15 +31,15 @@ libdata/pkgconfig/libexif.pc
 %%NLS%%share/locale/ja/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/libexif-12.mo
-%%NLS%%share/locale/pt_BR/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/sq/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/libexif-12.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/libexif-12.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/libexif-12.mo
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm include/libexif

Modified: head/graphics/libgphoto2/Makefile
==============================================================================
--- head/graphics/libgphoto2/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libgphoto2/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection makefile for: 	libgphoto2
-# Date created:		26 May 1999
-# Whom:			Anders Nordby <anders@fix.no>
-#
+# Created by: Anders Nordby <anders@fix.no>
 # $FreeBSD$
-#
 
 PORTNAME=	libgphoto2
 PORTVERSION=	2.4.14
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF/gphoto/libgphoto/${PORTVERSION}
 

Modified: head/graphics/libkexif/Makefile
==============================================================================
--- head/graphics/libkexif/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/libkexif/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	libkexif
-# Date created:				Mon Oct 18 19:41:36 CEST 2004
-# Whom:					Markus Brueffer <markus@FreeBSD.org>
-#
+# Created by: Markus Brueffer <markus@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	libkexif
 PORTVERSION=	0.2.5
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	graphics devel
 MASTER_SITES=	SF/kipi/OldFiles
 

Modified: head/graphics/pornview/Makefile
==============================================================================
--- head/graphics/pornview/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/pornview/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pornview
 PORTVERSION=	0.2.0.p.1
-PORTREVISION=	26
+PORTREVISION=	27
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/OldFiles
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.p./pre/}

Modified: head/graphics/ristretto/Makefile
==============================================================================
--- head/graphics/ristretto/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/ristretto/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	ristretto
-# Date created:		2007-08-27
-# Whom:			Martin Wilke <miwi@FreeBSD.org>
-#
+# Created by: Martin Wilke <miwi@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ristretto
 PORTVERSION=	0.6.3
+PORTREVISION=	1
 CATEGORIES=	graphics xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 MASTER_SITE_SUBDIR=	src/apps/${PORTNAME}/${PORTVERSION:R}

Modified: head/graphics/shotwell/Makefile
==============================================================================
--- head/graphics/shotwell/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/shotwell/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	shotwell
 PORTVERSION=	0.11.6
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	graphics gnome
 MASTER_SITES=	http://www.yorba.org/download/shotwell/${PORTVERSION:R}/
 

Modified: head/graphics/vips/Makefile
==============================================================================
--- head/graphics/vips/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/graphics/vips/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	vips
-# Date created:		19 December 2003
-# Whom:			Lev Serebryakov <lev@FreeBSD.org>
-#
+# Created by: Lev Serebryakov <lev@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	vips
 PORTVERSION=	7.26.3
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.vips.ecs.soton.ac.uk/supported/${PORTVERSION:R}/
 

Modified: head/multimedia/dvdstyler/Makefile
==============================================================================
--- head/multimedia/dvdstyler/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/multimedia/dvdstyler/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	dvdstyler
-# Date created:		2004-07-30
-# Whom:			Michael Johnson <ahze@ahze.net>
-#
+# Created by: Michael Johnson <ahze@ahze.net>
 # $FreeBSD$
-#
 
 PORTNAME=	dvdstyler
 DISTVERSION=	2.1
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	2
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTVERSION}

Modified: head/multimedia/mlt/Makefile
==============================================================================
--- head/multimedia/mlt/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/multimedia/mlt/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -2,7 +2,7 @@
 
 PORTNAME=	mlt
 PORTVERSION=	0.8.8
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES?=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 

Modified: head/net/mediatomb/Makefile
==============================================================================
--- head/net/mediatomb/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/net/mediatomb/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mediatomb
 PORTVERSION=	0.12.1
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	net multimedia
 MASTER_SITES=	SF/${PORTNAME}/MediaTomb/${PORTVERSION}
 

Modified: head/net/minidlna/Makefile
==============================================================================
--- head/net/minidlna/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/net/minidlna/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	minidlna
-# Date created:		2010-06-13
-# Whom:			Mikhail Teterin <mi@aldan.algebra.com>
-#
+# Created by: Mikhail Teterin <mi@aldan.algebra.com>
 # $FreeBSD$
-#
 
 PORTNAME=	minidlna
 PORTVERSION=	1.0.24
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	1
 CATEGORIES=	net multimedia www
 MASTER_SITES=	SF

Modified: head/security/vuxml/vuln.xml
==============================================================================
--- head/security/vuxml/vuln.xml	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/security/vuxml/vuln.xml	Thu Mar 14 08:17:39 2013	(r314141)
@@ -51,6 +51,41 @@ Note:  Please add new entries to the beg
 
 -->
 <vuxml xmlns="http://www.vuxml.org/apps/vuxml-1">
+  <vuln vid="d881d254-70c6-11e2-862d-080027a5ec9a">
+    <topic>libexif -- multiple remote vulnerabilities</topic>
+    <affects>
+      <package>
+	<name>libexif</name>
+	<range><lt>0.6.21</lt></range>
+      </package>
+    </affects>
+    <description>
+      <body xmlns="http://www.w3.org/1999/xhtml">
+        <p>libexif project security advisory:</p>
+        <blockquote cite="http://sourceforge.net/mailarchive/message.php?msg_id=29534027">
+	  <p>A number of remotely exploitable issues were discovered in libexif
+	    and exif, with effects ranging from information leakage to potential
+	    remote code execution.</p>
+	</blockquote>
+      </body>
+    </description>
+    <references>
+      <cvename>CVE-2012-2812</cvename>
+      <cvename>CVE-2012-2813</cvename>
+      <cvename>CVE-2012-2814</cvename>
+      <cvename>CVE-2012-2836</cvename>
+      <cvename>CVE-2012-2837</cvename>
+      <cvename>CVE-2012-2840</cvename>
+      <cvename>CVE-2012-2841</cvename>
+      <cvename>CVE-2012-2845</cvename>
+      <bid>54437</bid>
+    </references>
+    <dates>
+      <discovery>2012-07-12</discovery>
+      <entry>2013-03-13</entry>
+    </dates>
+  </vuln>
+
   <vuln vid="5ff40cb4-8b92-11e2-bdb6-001060e06fd4">
     <topic>linux-flashplugin -- multiple vulnerabilities</topic>
     <affects>

Modified: head/sysutils/tracker-client/Makefile
==============================================================================
--- head/sysutils/tracker-client/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/sysutils/tracker-client/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:	tracker
-# Date created:		2006-12-09
-# Whom:			Michael Johnson <ahze@FreeBSD.org>
-#
+# Created by: Michael Johnson <ahze@FreeBSD.org>
 # $FreeBSD$
 #   $MCom: ports/sysutils/tracker-client/Makefile,v 1.14 2010/05/10 04:21:19 marcus Exp $
-#
 
 PORTNAME=	tracker
 PORTVERSION=	0.6.95
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	sysutils gnome
 MASTER_SITES=	GNOME
 PKGNAMESUFFIX?=	-client

Modified: head/www/swiggle/Makefile
==============================================================================
--- head/www/swiggle/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/www/swiggle/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,12 +1,9 @@
-# New ports collection Makefile for: 	swiggle
-# Date created:				19 Feb 2003
-# Whom:					Josef El-Rayes <j.el-rayes@daemon.li>
-#
+# Created by: Josef El-Rayes <j.el-rayes@daemon.li>
 # $FreeBSD$
 
 PORTNAME=	swiggle
 PORTVERSION=	0.4
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	www
 MASTER_SITES=	http://homepage.univie.ac.at/l.ertl/swiggle/files/ \
 		http://bsd-geek.de/FreeBSD/distfiles/

Modified: head/x11-fm/gnome-commander2/Makefile
==============================================================================
--- head/x11-fm/gnome-commander2/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/x11-fm/gnome-commander2/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,6 +3,7 @@
 
 PORTNAME=	gnome-commander
 PORTVERSION=	1.2.8.15
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	x11-fm gnome
 MASTER_SITES=	GNOME

Modified: head/x11-fm/nautilus/Makefile
==============================================================================
--- head/x11-fm/nautilus/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/x11-fm/nautilus/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -4,7 +4,7 @@
 
 PORTNAME=	nautilus
 PORTVERSION=	2.32.2.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	x11-fm gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2

Modified: head/x11-fm/thunar/Makefile
==============================================================================
--- head/x11-fm/thunar/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/x11-fm/thunar/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -1,6 +1,5 @@
 # Created by: Oliver Lehmann <oliver@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Thunar
 PORTVERSION=	1.6.2

Modified: head/x11-toolkits/nucleo/Makefile
==============================================================================
--- head/x11-toolkits/nucleo/Makefile	Thu Mar 14 08:15:46 2013	(r314140)
+++ head/x11-toolkits/nucleo/Makefile	Thu Mar 14 08:17:39 2013	(r314141)
@@ -3,7 +3,7 @@
 
 PORTNAME=	nucleo
 PORTVERSION=	0.7.6
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://insitu.lri.fr/metisse/download/nucleo/
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 pclin freebsd_committer 2013-03-14 08:21:28 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!